require 'spec_helper'

describe 'test article ocu' do
  before (:all) do
    @test_data = YAML.load_file(File.expand_path(File.dirname(__FILE__)+'/test_ocu_data.yml'))
    @to_users = @test_data['to_users']
    @ocu = MinxingRubySdk::Ocu::OcuAccount.new ({:root_url => @test_data['root_url'], :ocuId => @test_data['ocuId'], :ocuSecret =>@test_data['ocuSecret']})
  end


  it 'test POST /api/v1/conversations/ocu_messages, send a articlemessage to users.' do
    articles = @test_data['articles']
    articlemessage = MinxingRubySdk::Ocu::ArticleMessage.new
    for i in 0...articles.size
      args={}
      args['title'] = articles[i]['title']
      args['description'] = articles[i]['description']
      args['pic_url'] = articles[i]['pic_url']
      args['url'] = articles[i]['url']
      args['app_url'] = articles[i]['app_url']

      article = MinxingRubySdk::Ocu::Article.new(args)
      articlemessage.articles[i] = article
    end

    # @ocu.send_message_to_users(articlemessage, MinxingRubySdk::Ocu::ARTICLE, @to_users)
    @ocu.send_message_to_public(articlemessage, MinxingRubySdk::Ocu::ARTICLE)
    MinxingRubySdk::LOGGER.debug("sended ok: " + articles.size.to_s)
  end
end
